sti = require 'sti'
camera = require 'camera'
Input = require 'Input'

function love.load()
	map = sti.new( 'map/themapo.lua' )
	cam = camera.new( 0, 0, 400, 224 )
	cam:setWorld( 0, 0, 800, 224 )
	input = Input()

	input:bind( 'escape', function() love.event.quit() end )
	input:bind( 'a', 'moveRight' )
	input:bind( 'd', 'moveLeft' )
	input:bind( 'w', 'moveUp' )
	input:bind( 's', 'moveDown' )
end

function drawWorld()
	map:draw()
end

function love.update( dt )
	if input:down( 'moveRight' ) then cam:move( -64 * dt, 0 ) end
	if input:down( 'moveLeft' ) then cam:move( 64 * dt, 0 ) end
	input:update()
end

function love.draw()
	cam:push()
		cam:adjustScale()
		cam:adjustPosition()
		drawWorld()
	cam:pop()
end
